Update vendor
https://api.propexo.com/v1/vendors/:vendor_idUpdate a vendor for an integration.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string
United StatesCanada - string
The name associated with the vendor
Whether the vendor is active
Notes associated with the vendor
Possible values: <= 1998 characters
The first name of the tax payer associated with the vendor
The last name of the tax payer associated with the vendor
The expiration date of the workers compensation policy on file for this vendor
Show 2 variants
The expiration date of the liability insurance policy on file for this vendor
Show 2 variants
The first address line associated with the vendor
The second address line associated with the vendor
The city associated with the vendor
The state associated with the vendor
Show 70 enum values
AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYTThe zip code associated with the vendor
The country associated with the vendor
Show 2 variants
The primary email address associated with the vendor
Primary phone number associated with the vendor
Secondary phone number associated with the vendor
Response
Successful response
The ID of the job created to handle this operation
data objectrequired
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/vendors/:vendor_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"is_active": true,
"notes": "string",
"tax_id": "string",
"tax_payer_first_name": "string",
"tax_payer_last_name": "string",
"workers_comp_expiration_date": "2024-07-29T15:51:28.071Z",
"liability_expiration_date": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "AA",
"zip": "string",
"country": "United States",
"email_1": "string",
"phone_1": "string",
"phone_2": "string"
}'
{
"job_id": "string",
"data": {}
}